// This Test Port skeleton source file was generated by the
// TTCN-3 Compiler of the TTCN-3 Test Executor version CRL 113 200/6 R4C
// for ebotbar (ebotbar@ebotbarVB) on Wed Nov 28 12:07:59 2018

// Copyright (c) 2000-2025 Ericsson Telecom AB

// You may modify this file. Complete the body of empty functions and
// add your member functions here.

#include "PortTransRT.hh"

namespace realtimeTimestampPortTranslation {

PortTransRT::PortTransRT(const char *par_port_name)
	: PortTransRT_BASE(par_port_name)
{

}

PortTransRT::~PortTransRT()
{

}

void PortTransRT::set_parameter(const char * /*parameter_name*/,
	const char * /*parameter_value*/)
{

}

/*void PortTransRT::Handle_Fd_Event(int fd, boolean is_readable,
	boolean is_writable, boolean is_error) {}*/

void PortTransRT::Handle_Fd_Event_Error(int /*fd*/)
{

}

void PortTransRT::Handle_Fd_Event_Writable(int /*fd*/)
{

}

void PortTransRT::Handle_Fd_Event_Readable(int /*fd*/)
{

}

/*void PortTransRT::Handle_Timeout(double time_since_last_call) {}*/

void PortTransRT::user_map(const char * /*system_port*/)
{

}

void PortTransRT::user_unmap(const char * /*system_port*/)
{

}

void PortTransRT::user_start()
{

}

void PortTransRT::user_stop()
{

}

void PortTransRT::outgoing_send(const OCTETSTRING& send_par, FLOAT* timestamp_redirect)
{
  if (timestamp_redirect != NULL) {
    *timestamp_redirect = TTCN_Runtime::now();
  }
  // redirect the message to the port's input
  incoming_message(oct2str(send_par), TTCN_Runtime::now());
}

} /* end of namespace */

